summaryrefslogtreecommitdiff
path: root/yhttpd/scripts/checkperl.sh
diff options
context:
space:
mode:
authorPaul Buetow <paul@buetow.org>2010-11-21 17:01:59 +0000
committerPaul Buetow <paul@buetow.org>2010-11-21 17:01:59 +0000
commitb891420946d5269cc326d67555c6aab3db41a01a (patch)
treef6c5e7d6dbf18ec8c0ea9ec0b037251df46b4cbb /yhttpd/scripts/checkperl.sh
parenta537e8323d932125232c305f9573daef89aef0df (diff)
added yhttpd and ycurses trunk versions
Diffstat (limited to 'yhttpd/scripts/checkperl.sh')
-rwxr-xr-xyhttpd/scripts/checkperl.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/yhttpd/scripts/checkperl.sh b/yhttpd/scripts/checkperl.sh
new file mode 100755
index 0000000..642938b
--- /dev/null
+++ b/yhttpd/scripts/checkperl.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# The yhttpd Project (2005)
+#
+# This scripts checks for a perl installation
+
+if ! which perl >/dev/null
+then
+ echo You need to have Perl in your PATH!
+ exit 1
+fi
+
+echo Using `which perl`
+exit 0